Resolve Chat
curl --request POST \
--url https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notifyClient": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notifyClient: true})
};
fetch('https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/resolve"
payload = { "notifyClient": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true
}Chats
Resolve Chat
Change the status of a chat to RESOLVED. This works regardless of the current chat status, and is typically used once a human agent (or your external system) has finished the conversation. After a chat is resolved, any new incoming message from the contact is routed back to the bot defined in Texter.
POST
https://{projectID}.texterchat.com/server/api/v2
/
chats
/
{chatId}
/
resolve
Resolve Chat
curl --request POST \
--url https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"notifyClient": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({notifyClient: true})
};
fetch('https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/chats/{chatId}/resolve"
payload = { "notifyClient": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true
}Required token scopes:
Manage all chatsהרשאות
פרמטרי נתיב
גוף
application/json